use crate::model::{ModPack, SimpleMod};

#[derive(Debug)]
pub enum ManifestKind {
    V1(Vec<SimpleMod>),
    V2(ModPack),
}

impl ManifestKind {
    pub fn simple_mods_list(&self) -> &[SimpleMod] {
        match self {
            Self::V1(mods) => mods,
            Self::V2(pack) => match &pack.simple_mods_list {
                Some(list) => list,
                None => &[],
            },
        }
    }
}
